Summary:	Misc Shell-scripts	
Name: 		drlinux-tools
Version: 	2.16.5
Release: 	0
License: 	GPL
Group: 		Utilities
Source0: 	%{name}-%{version}.tar.gz
#Patch0:		
URL:		https://repo.vermare.net/yum/drlinux
Distribution:	All rpm-based distributions
Vendor:		Dr. Linux
Packager:	R.W.H. Vermare <rene@vermare.net>
#Provides:
Requires: tar, gzip, bzip2, xz, openssl, bc, passwdgen >= 2.0, gnupg, sed, expect >= 5.0, gawk, coreutils, which, grep, perl, lsof, /usr/bin/renice


#AutoReqProv:	no
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch: noarch

BuildRequires: bash, binutils, gcc, ncurses, make, tar, zlib, gzip


%define _unpackaged_files_terminate_build       1
%define _missing_doc_files_terminate_build      1
%define _smp_mflags -j4
%define _target_platform i686-pc-linux-gnu



%description
Set of tools to make work easier

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -n drlinux-tools-%{version}

#%patch
gzip usr/share/man/man1/drlinux-tools.1 \
usr/share/man/man1/tarfiles.1

mkdir -p %{buildroot}/usr/local/bin
cp usr/local/bin/* %{buildroot}/usr/local/bin

mkdir -p %{buildroot}/usr/share/man/man1
cp usr/share/man/man1/* %{buildroot}/usr/share/man/man1

%clean
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%post

%postun
if test -s /usr/local/bin/pathlist && [ "$1" = "0" ]; then
rm -f /usr/local/bin/pathlist
fi

%preun

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/*
/usr/local/bin/*
%config(noreplace) /usr/local/bin/newpswd
%config(noreplace) /usr/local/bin/usbmenu


%changelog
* Tue Jul  5 2022 René Vermare <rene@vermare.net> - 2.16.5-0
- Add option to show only background processes to state script.

* Wed Jun 29 2022 René Vermare <rene@vermare.net> - 2.16.4-0
- Add option for creating detached signature files to gpgmenu.

* Thu Nov 11 2021 René Vermare <rene@vermare.net> - 2.16.3-0
- Improvement from csv2sql script.

* Mon Aug 16 2021 René Vermare <rene@vermare.net> - 2.16.2-0
- Fix problem with upper/lower case in $LANG variable for 'day'
  script.

* Mon Aug 16 2021 René Vermare <rene@vermare.net> - 2.16.1-0
- Display english text for 'day' script when $LANG is not set to
  dutch (nl_NL.utf8).

* Sun Jun  6 2021 René Vermare <rene@vermare.net> - 2.16.0-0
- Add Perl script to display dmesg with fancy output (date/time),
  rebranding from some 'old' scripts.

* Sun Jun  6 2021 René Vermare <rene@vermare.net> - 2.15.1-0
- Rename csv2mysql to csv2sql and add semicolon to dispconf
  script.

* Mon Jul  6 2020 René Vermare <rene@vermare.net> - 2.15.0-0
- Add script to convert columns to (one line) string.

* Sun Mar 15 2020 René Vermare <rene@vermare.net> - 2.14.1-0
- Make 'openfiles' script compatible with older lsof versions.

* Sun Mar 15 2020 René Vermare <rene@vermare.net> - 2.14.0-0
- Add script to find the number of open files for a Process
  Name and process pid, sorted by number of open files.

* Sun Mar 15 2020 René Vermare <rene@vermare.net> - 2.13.1-0
- Add update/add option to 'tarfiles' script.

* Mon Mar  9 2020 René Vermare <rene@vermare.net> - 2.13.0-0
- Add script to display all processes using swap-space
  Script only usable with kernelversion 2.6.32 or newer

* Wed Feb  5 2020 René Vermare <rene@vermare.net> - 2.12.7-0
- Add .p12 format to 'certcheck' script.
  Also cleanup some legacy (dag) which was already replaced
  with 'day'.

* Thu May 23 2019 René Vermare <rene@vermare.net> - 2.12.6-0
- Improvement from 'dag' script, with option 's' the number of
  past days since Jan 1 1970 until now can be displayed. And
  script is renamed to 'day'. Also cleanup some legacy (status)
  which was already replaced with 'state'.

* Wed Apr 24 2019 René Vermare <rene@vermare.net> - 2.12.5-0
- Improvement from 'gpgmenu' script, add import/export Secret-keys.

* Sat Aug  4 2018 René Vermare <rene@vermare.net> - 2.12.4-0
- Improvement from 'txtreplace' script.

* Sun Jul 22 2018 René Vermare <rene@vermare.net> - 2.12.3-0
- Add 'thread' option to 'state' script and improve help function.

* Fri Apr 20 2018 René Vermare <rene@vermare.net> - 2.12.2-0
- Add option to specify current user with argument to state
  script (which replaces status script).

* Thu Apr 19 2018 René Vermare <rene@vermare.net> - 2.12.1-0
- Add option for misc characters to genpassword script.

* Wed Feb 28 2018 René Vermare <rene@vermare.net> - 2.12.0-0
- Add script to remove spaces in text-files, with or with removal
  of line feeds.

* Tue Nov 14 2017 René Vermare <rene@vermare.nl> - 2.11.1-0
- Correct chmodnum script

* Mon Nov 13 2017 René Vermare <rene@vermare.nl> - 2.11.0-0
- Add script to display chmod numeric for a file or directory (chmodnum).
- Add date to day no. since Jan 1 1970 option (and day no. to date) to
  'dag' script.

* Thu Feb 23 2017 René Vermare <rene@vermare.nl> - 2.10.3-0
- Add query option for what's running on current terminal
- and improvement for user query ($whoami) from 'status' script.

* Mon Feb 20 2017 René Vermare <rene@vermare.nl> - 2.10.2-1
- Fix removal from pathlist-file (/usr/local/bin/pathlist).

* Thu Jan  5 2017 René Vermare <rene@vermare.nl> - 2.10.2-0
- Improvement from status script.

* Sun Nov 20 2016 René Vermare <rene@vermare.nl> - 2.10.1-0
- Add non interactive function to mvfilenames script.

* Sat Nov 12 2016 René Vermare <rene@vermare.nl> - 2.10.0-0
- Add script to display directories/files from given dir./partition
- by size.

* Sat Jun  4 2016 René Vermare <rene@vermare.nl> - 2.09.2-0
- Fix a problem in gpgmenu option to 'verify signature from specified 
- file'. (when more then 1 file matches (list > 9))

* Wed Apr 27 2016 René Vermare <rene@vermare.nl> - 2.09.1-0
- Add script to generate requirement line for (rpm) .spec files
- Fixed double entries in output file from deplibs script.

* Sat Apr  9 2016 René Vermare <rene@vermare.nl> - 2.08.0-0
- Add script to change file-extension from all given files
- in current directory
- Add check for three digit values in >= 100 section from
- mvfilenames

* Fri Apr  8 2016 René Vermare <rene@vermare.nl> - 2.07.1-0
- Add check option and 3 & 4 digits posibility to mvfilenames

* Thu Feb 18 2016 René Vermare <rene@vermare.nl> - 2.07.0-1
- Newpswd (passmass) accepts automatically ssh-keys now.

* Mon Sep 14 2015 René Vermare <rene@vermare.nl> - 2.06.1-1
- Add choice option to gpgmenu 'verify signature' function

* Wed Jun 17 2015 René Vermare <rene@vermare.nl> - 2.06.0-1
- Add script to set a process's CPU affinity and alter priority

* Sun May 10 2015 René Vermare <rene@vermare.nl> - 2.05.3-0
- Bug fixes for 'mvfilenames' script; fixed bug trying to
- add leading zero's for # < 10 (and not exist), fixed bug 
- no leading zero added (for # < 10) in case sourcefiles
- have 2 leading zero's, fixed bug no extra leading zero
- added to # < 10 in case # 99 exists and 'y' is entered
- to add leading zero's.

* Mon Mar 9 2015 René Vermare <rene@vermare.nl> - 2.05.2-0
- Improvement from 'servicecheck' script.

* Sun Feb 15 2015 René Vermare <rene@vermare.nl> - 2.05.1-0
- Add script to list needed RPM-(library)packages for
  given binary.

* Sat Jan 31 2015 René Vermare <rene@vermare.nl> - 2.04.12-0
- Improvement from 'chkcheck' and 'mvfilenames' scripts.

* Thu Jan 8 2015 René Vermare <rene@vermare.nl> - 2.04.10-0
- Change 'txtreplace' script so all given strings are
  replaced instead of only first one on a row.

* Thu Jan 8 2015 René Vermare <rene@vermare.nl> - 2.04.9-0
- Changes on 'txtreplace' script:
  Backup only modified files (7.0)
  Restore executable rights on shell-scripts.

* Fri Jan 2 2015 René Vermare <rene@vermare.nl> - 2.04.8-0
- Make 'chkcheck' and 'servicecheck' scripts compatible with
  systemd 

* Mon Oct 6 2014 René Vermare <rene@vermare.nl> - 2.04.6-0
- Fixed possibility to reset timer in 'usbmenu´ with wrong
  menu option

* Mon Oct 6 2014 René Vermare <rene@vermare.nl> - 2.04.5-0
- Place timer in 'usbmenu'; when idle for configured
  time then exit

* Fri Oct 3 2014 René Vermare <rene@vermare.nl> - 2.04.4-0
- Fix input message in option 4 from usbmenu script.

* Fri Oct 3 2014 René Vermare <rene@vermare.nl> - 2.04.3-0
- Put complete 'usbmenu tool' in 1 shellscript.

* Tue Sep 30 2014 René Vermare <rene@vermare.nl> - 2.04.2-0
- Add xz support to 'tarfiles' script.
- Add xz and bzip2 dependency to rpm package.

* Thu Sep 25 2014 René Vermare <rene@vermare.nl> - 2.04.1-0
- Add new script (baseconv) to convert between bases.

* Sun Jun 1 2014 René Vermare <rene@vermare.nl> - 2.03.1-0
- Fix bug in dispconf script, lines with second hash (#) in line
- were not displayed.

* Wed May 21 2014 René Vermare <rene@vermare.nl> - 2.03.0-0
- Add new script (dispconf) to display 'active' rows from config files.

* Mon Mar 24 2014 René Vermare <rene@vermare.nl> - 2.02.0-0
- Add new script (csv2mysql) to make mysql insertfile from
- csv file.

* Wed Mar 5 2014 René Vermare <rene@vermare.nl> - 2.01.1-0
- Fix bug in 'dag' script (wrong weeknumber calculation),
- add function to display weeknumber for specified date.

* Thu Feb 27 2014 René Vermare <rene@vermare.nl> - 2.00.0-0
- Make scripts chkcheck, servicecheck, fileinfo, showcdlabel,
- where, mysql4to3, removebll and removeccc interactive and
- directly runable (suitable for cron etc.).

* Fri Feb 21 2014 René Vermare <rene@vermare.nl> - 1.19.5-0
- Make one if statement for both .der and .pem. 

* Fri Feb 21 2014 René Vermare <rene@vermare.nl> - 1.19.4-0
- Add .der format to 'certcheck' script and make interactive
- or direct input possible for it.

* Fri Jul 26 2013 René Vermare <rene@vermare.nl> - 1.19.3-0
- Fix a bug in 'mvfilenames' script (when old file extension
- differs from new file extension, none of the files were
- renamed)

* Tue Jul 2 2013 René Vermare <rene@vermare.nl> - 1.19.2-0
- Changed 'where' script to search PATH from root user,
- for all other users you can use the 'which' tool.

* Fri May 17 2013 René Vermare <rene@vermare.nl> - 1.19.1-0
- Fixed bug in 'where' script

* Fri May 17 2013 René Vermare <rene@vermare.nl> - 1.19.0-1
- Add script 'where' to search dir. PATH for which binary
- or script is used.

* Tue May 14 2013 René Vermare <rene@vermare.nl> - 1.18.0-2
- Build with new %files section

* Sun May 5 2013 René Vermare <rene@vermare.nl> - 1.18.0-1
- Add options to gpgmenu (gnupg menu).
- Add script 'showcdlabel' to display CD/DVD or .iso label

* Sun Oct 14 2012 René Vermare <rene@vermare.nl> - 1.17.1-1
- Add new script 'mvfilenames' to rename bulk files
- with serialnumber.

* Sun Sep 16 2012 René Vermare <rene@vermare.nl> - 1.16.3-1
- Improvement of txtreplace script fixed problem with
- replacelist file after root user was running txtreplace.

* Fri Aug 3 2012 René Vermare <rene@vermare.nl> - 1.16.2-1
- Improvement of 'search' script no longer problems with spaces etc.
- in filenames.

* Thu May 31 2012 René Vermare <rene@vermare.nl> - 1.16.1-1
- Add calendardate to unixtime conversion & help function 
- to 'dag' script.

* Sat May 19 2012 René Vermare <rene@vermare.nl> - 1.15.2-1
- Add weeknumber back to 'dag' script.

* Thu May 17 2012 René Vermare <rene@vermare.nl> - 1.15.1-1
- Add calendardate to juliandayno conversion to 'dag' script.

* Tue Nov 22 2011 René Vermare <rene@vermare.nl> - 1.14.1-1
- Add 'removebll'; script to remove blank lines
- from textfiles

* Sun Oct 23 2011 René Vermare <rene@vermare.nl> - 1.13.3-1
- Add weeknumber to 'dag' script.

* Fri Oct 14 2011 René Vermare <rene@vermare.nl> - 1.13.2-1
- Add help function to 'txtreplace' script.

* Fri Oct 14 2011 René Vermare <rene@vermare.nl> - 1.13.1-1
- Improvement of 'txtreplace' script (no longer manual
- creation from replacelist needed).

* Wed Aug 31 2011 René Vermare <rene@vermare.nl> - 1.13.0-1
- Add 'removeccc'; script to remove carriage control
- characters from dos files.

* Sun Aug 28 2011 René Vermare <rene@vermare.nl> - 1.12.3-1
- Add 'y/n' top option 1 in 'search' script.

* Sun Aug 28 2011 René Vermare <rene@vermare.nl> - 1.12.2-1
- Improvement of 'search' script (file selection).

* Tue Aug 23 2011 René Vermare <rene@vermare.nl> - 1.12.1-1
- Fixed problem with color scheme in 'mountiso' script.

* Thu Jul 14 2011 René Vermare <rene@vermare.nl> - 1.12.0-1
- Add 'fileinfo' script to collection.
- This script gives information about a file.

* Sat Jul 9 2011 René Vermare <rene@vermare.nl> - 1.11.5.1
- Improvement of 'search' script (color scheme).

* Sun Jun 26 2011 René Vermare <rene@vermare.nl> - 1.11.4.1
- Improvement of 'status' script (remove lines with 'grep'
- and 'status' command from output).

* Sat Jun 11 2011 René Vermare <rene@vermare.nl> - 1.11.3-1
- Improvement of 'dag' script (add conversions).

* Sat May 21 2011 René Vermare <rene@vermare.nl> - 1.11.2-1
- Add check to newpswd script.

* Fri May 20 2011 René Vermare <rene@vermare.nl> - 1.11.1-1
- Make newpswd (with uses of passmass) part of the package.
- Make package Architecture independed (noarch).

* Mon Dec 6 2010 René Vermare <rene@vermare.nl> - 1.10.6-1
- Add option uppercase & numeric characters and lowercase
- & numeric characters to genpassword script.
- Fix minimum length option from both upper- & lowercase
- characters option

* Sat Nov 27 2010 René Vermare <rene@vermare.nl> - 1.10.5-1
- Add 'device_info' to usbmenu script

* Fri Sep 10 2010 René Vermare <rene@vermare.nl> - 1.10.4-1
- Add unixtime to 'dag' script

* Mon Aug 16 2010 René Vermare <rene@vermare.nl> - 1.10.3-1
- Add time zone to 'dag' script
- Add list option for .tgz files to 'tarfiles' script

* Sun Aug 8 2010 René Vermare <rene@vermare.nl> - 1.10.2-1
- Add 'Show Devicelist' to usbmenu

* Thu Apr 29 2010 René Vermare <rene@vermare.nl> - 1.10.1-1
- Add .bz2 support to tarfiles script

* Thu Mar 4 2010 René Vermare <rene@vermare.nl> - 1.9.1-1
- Add colors to output from search script

* Thu Mar 4 2010 René Vermare <rene@vermare.nl> - 1.9.0-1
- Add new script (search) to search for strings in
- local textfiles

* Sun Jan 10 2010 René Vermare <rene@vermare.nl> - 1.8.0-1
- Add help function to txtreplace script

* Sun Jan 10 2010 René Vermare <rene@vermare.nl> - 1.7.1-1
- Improvement of txtreplace script
- Fixing manpage drlinux-tools, because pkgs 1.7.0-1
- contains an old version

* Sat Jan 9 2010 René Vermare <rene@vermare.nl> - 1.7.0-1
- Add new script (txtreplace) to replace strings in
- textfiles

* Mon Aug 3 2009 René Vermare <rene@vermare.nl> - 1.6.2-1
- Fix 'Choice backup inputfile' bug in mysql4to3 script
- Add patch-level number to package

* Sun Aug 2 2009 René Vermare <rene@vermare.nl> - 1.6-2
- Improvement of mysql4to3 script

* Mon Jul 27 2009 René Vermare <rene@vermare.nl> - 1.6-1
- Add new script (mysql4to3) to convert mysqldumpfiles
- version 4 to version 3 format

* Sat May 30 2009 René Vermare <rene@vermare.nl> - 1.5-1
- Add new script (terminfo) to display terminal filename (tty)
- Rename 'userstatus' script to 'status'

* Sun Apr 19 2009 René Vermare <rene@vermare.nl> - 1.4-1
- Update tarfiles script (add discription to quit for option 4)
- Add new script to mount iso files in filesystem (mountiso)

* Thu Apr 16 2009 René Vermare <rene@vermare.nl> - 1.3-1
- Update tarfiles script (add 'less' to list option)

* Sun Apr 12 2009 René Vermare <rene@vermare.nl> - 1.2-1
- Update tarfiles script 
- (now recognize tar or tar.gz files)

* Sat Nov 1 2008 René Vermare <rene@vermare.nl> - 1.1-2
- Remove the bogus in userstatus script

* Tue Oct 28 2008 René Vermare <rene@vermare.nl - 1.1-1
- Update tarfiles with uncompress specified file or dir
- Add genpassword, userstatus and gpgmenu script

* Sun Oct 12 2008 René Vermare <rene@vermare.nl> - 1.0-4
- Update certcheck script
- and including overall manpage (drlinux-tools)

* Sun Oct 5 2008 René Vermare <rene@vermare.nl> - 1.0-3
- Enhanced update for *check scripts
- and including manpage for tarfiles script

* Sat Sep 27 2008 René Vermare <rene@vermare.nl> - 1.0-2
- Test build for including manpages

* Fri Sep 19 2008 René Vermare <rene@vermare.nl> - 1.0-1
- Add dependencies for compute, tarfiles & certcheck scripts 

* Fri Sep 19 2008 René Vermare <rene@vermare.nl> - 1.0-0
- Initial build
